RecurringInvoice
Recurring invoice schedules (pause, resume, generate)
GET /api/v1/recurring/invoices
GET /api/v1/recurring/invoices
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Portée du jeton API : recurring_invoices.view
Paramètres
| Nom | Emplacement | Type | Requis | Description |
|---|---|---|---|---|
page |
query | integer | non | |
per_page |
query | integer | non |
Réponses
| Statut | Description |
|---|---|
| 200 | For non-paginated data, return as before |
| 422 |
Exemple de requête
curl -X GET "https://kworia.com/api/v1/recurring/invoices" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
POST /api/v1/recurring/invoices
POST /api/v1/recurring/invoices
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Portée du jeton API : recurring_invoices.create
Corps de la requête
| Champ | Type | Requis | Description |
|---|---|---|---|
customer_id |
integer | oui | |
name |
string | oui | |
frequency |
string | oui | |
interval |
integer | non | |
start_date |
string | oui | |
end_date |
string | non | |
max_occurrences |
integer | non | |
auto_send |
boolean | non | |
currency |
string | oui | |
payment_terms_days |
integer | non | |
items |
array | oui |
Réponses
| Statut | Description |
|---|---|
| 201 | For non-paginated data, return as before |
| 422 |
Exemple de requête
curl -X POST "https://kworia.com/api/v1/recurring/invoices" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"customer_id": 1,
"name": "string",
"frequency": "string",
"interval": 1,
"start_date": "string",
"end_date": "string",
"max_occurrences": 1,
"auto_send": true,
"currency": "string",
"payment_terms_days": 1,
"items": []
}'
GET /api/v1/recurring/invoices/{id}
GET /api/v1/recurring/invoices/{id}
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Portée du jeton API : recurring_invoices.view
Paramètres
| Nom | Emplacement | Type | Requis | Description |
|---|---|---|---|---|
id |
path | integer | oui |
Réponses
| Statut | Description |
|---|---|
| 200 | For non-paginated data, return as before |
Exemple de requête
curl -X GET "https://kworia.com/api/v1/recurring/invoices/{id}" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
PUT /api/v1/recurring/invoices/{id}
PUT /api/v1/recurring/invoices/{id}
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Portée du jeton API : recurring_invoices.update
Paramètres
| Nom | Emplacement | Type | Requis | Description |
|---|---|---|---|---|
id |
path | integer | oui |
Corps de la requête
| Champ | Type | Requis | Description |
|---|---|---|---|
customer_id |
integer | non | |
name |
string | non | |
frequency |
string | non | |
interval |
integer | non | |
end_date |
string | non | |
max_occurrences |
integer | non | |
auto_send |
boolean | non | |
payment_terms_days |
integer | non | |
items |
array | non |
Réponses
| Statut | Description |
|---|---|
| 200 | For non-paginated data, return as before |
| 422 |
Exemple de requête
curl -X PUT "https://kworia.com/api/v1/recurring/invoices/{id}" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"customer_id": 1,
"name": "string",
"frequency": "string",
"interval": 1,
"end_date": "string",
"max_occurrences": 1,
"auto_send": true,
"payment_terms_days": 1,
"items": []
}'
DELETE /api/v1/recurring/invoices/{id}
DELETE /api/v1/recurring/invoices/{id}
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Portée du jeton API : recurring_invoices.delete
Paramètres
| Nom | Emplacement | Type | Requis | Description |
|---|---|---|---|---|
id |
path | integer | oui |
Réponses
| Statut | Description |
|---|---|
| 200 | For non-paginated data, return as before |
Exemple de requête
curl -X DELETE "https://kworia.com/api/v1/recurring/invoices/{id}" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
POST /api/v1/recurring/invoices/{id}/generate
POST /api/v1/recurring/invoices/{id}/generate
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Portée du jeton API : recurring_invoices.update
Paramètres
| Nom | Emplacement | Type | Requis | Description |
|---|---|---|---|---|
id |
path | integer | oui |
Réponses
| Statut | Description |
|---|---|
| 201 | For non-paginated data, return as before |
Exemple de requête
curl -X POST "https://kworia.com/api/v1/recurring/invoices/{id}/generate" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
POST /api/v1/recurring/invoices/{id}/pause
POST /api/v1/recurring/invoices/{id}/pause
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Portée du jeton API : recurring_invoices.update
Paramètres
| Nom | Emplacement | Type | Requis | Description |
|---|---|---|---|---|
id |
path | integer | oui |
Réponses
| Statut | Description |
|---|---|
| 200 | For non-paginated data, return as before |
Exemple de requête
curl -X POST "https://kworia.com/api/v1/recurring/invoices/{id}/pause" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
POST /api/v1/recurring/invoices/{id}/resume
POST /api/v1/recurring/invoices/{id}/resume
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Portée du jeton API : recurring_invoices.update
Paramètres
| Nom | Emplacement | Type | Requis | Description |
|---|---|---|---|---|
id |
path | integer | oui |
Réponses
| Statut | Description |
|---|---|
| 200 | For non-paginated data, return as before |
Exemple de requête
curl -X POST "https://kworia.com/api/v1/recurring/invoices/{id}/resume" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"